Package org.apache.tapestry5.services.javascript

## Enum JavaScriptAggregationStrategy

- java.lang.Object
- - java.lang.Enum<JavaScriptAggregationStrategy>
  - - org.apache.tapestry5.services.javascript.JavaScriptAggregationStrategy

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<JavaScriptAggregationStrategy>`

      public enum JavaScriptAggregationStrategy
      extends java.lang.Enum<JavaScriptAggregationStrategy>

  Used with `JavaScriptStack` to identify how libraries and modules within the stack can be aggregated.
  Since:
    5.4

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `COMBINE_AND_MINIMIZE` | The default strategy is to combine all the assets and minimize them together.
    `COMBINE_ONLY` | Alternately, the assets can be combined, but not minimized (because some resources do not support minimization).
    `DO_NOTHING` | The assets are not combined or minimized at all.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `enablesCombine()` |
    `boolean` | `enablesMinimize()` |
    `static JavaScriptAggregationStrategy` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static JavaScriptAggregationStrategy[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COMBINE_AND_MINIMIZE

          public static final JavaScriptAggregationStrategy COMBINE_AND_MINIMIZE

      The default strategy is to combine all the assets and minimize them together.

    - #### COMBINE_ONLY

          public static final JavaScriptAggregationStrategy COMBINE_ONLY

      Alternately, the assets can be combined, but not minimized (because some resources do not support minimization).

    - #### DO_NOTHING

          public static final JavaScriptAggregationStrategy DO_NOTHING

      The assets are not combined or minimized at all.

  - ### Method Detail

    - #### values

          public static JavaScriptAggregationStrategy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JavaScriptAggregationStrategy c : JavaScriptAggregationStrategy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JavaScriptAggregationStrategy valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### enablesCombine

          public boolean enablesCombine()

    - #### enablesMinimize

          public boolean enablesMinimize()